<?php

namespace CameraBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Camera.lenses
 *
 * @ORM\Table(name="lenses", schema="camera")
 * @ORM\Entity
 */
class Lenses
{
	use LensTrait;

	/**
	 * @var integer
	 *
	 * @ORM\Column(name="id", type="integer", nullable=false)
	 * @ORM\Id
	 * @ORM\GeneratedValue(strategy="SEQUENCE")
	 * @ORM\SequenceGenerator(sequenceName="camera.lenses_id_seq", allocationSize=1, initialValue=1)
	 */
	private $id;

	/**
	 * @var boolean
	 *
	 * @ORM\Column(name="received", type="boolean", nullable=false)
	 */
	private $received = false;

	/**
	 * @var boolean
	 *
	 * @ORM\Column(name="formerly_owned", type="boolean", nullable=false)
	 */
	private $formerlyOwned = false;
}
