<?php

namespace CameraBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class PreviouslyOwnedFlashType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
        	->add('brand')
        	->add('model')
        	->add('isAutoFlash')
        	->add('isTtl')
        	->add('ttlType')
        	->add('isPTtl')
        	->add('pTtlType')
        	->add('guideNumber')
        	->add('purchasePrice')
        	->add('batteries')
        	->add('notes')
        	->add('serial')
        	->add('received')
        	->add('formerlyOwned');
    }

    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'CameraBundle\Entity\PreviouslyOwnedFlash'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'camerabundle_previouslyownedflash';
    }


}
